View Issue Details

IDProjectCategoryView StatusLast Update
0002775SymmetricDSBugpublic2016-09-16 09:00
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.4Fixed in Version3.8.4 
Summary0002775: Uninstall fails on version 3.5 database with 3.8 software on Postgres
DescriptionThe uninstall uses a technique of deleting configuration and syncing triggers to remove the triggers first so it can drop sym tables. It deletes configuration by querying all of the configuration objects (trigger routers, routers, group links, etc) and removing each one. The problem is that the query uses a select with all the columns known in the current version, which doesn't work on an older database. Change the approach to just delete all rows from configuration tables instead of querying them, which will be faster anyway.

[SymmetricDS] - AbstractSymmetricEngine - Error while trying remove triggers on tables
org.jumpmind.db.sql.SqlException: Failed to execute sql: select source_node_group_id, target_node_group_id, data_event_action, sync_config_enabled, last_update_time, last_update_by, create_time from sym_node_group_link order by source_node_group_id
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:283)
    at org.jumpmind.db.platform.firebird.FirebirdJdbcSqlTemplate.translate(FirebirdJdbcSqlTemplate.java:59)
    at org.jumpmind.db.sql.JdbcSqlReadCursor.<init>(JdbcSqlReadCursor.java:104)
    at org.jumpmind.db.sql.JdbcSqlTemplate.queryForCursor(JdbcSqlTemplate.java:134)
    at org.jumpmind.db.sql.AbstractSqlTemplate.query(AbstractSqlTemplate.java:182)
    at org.jumpmind.db.sql.AbstractSqlTemplate.query(AbstractSqlTemplate.java:177)
    at org.jumpmind.db.sql.AbstractSqlTemplate.query(AbstractSqlTemplate.java:118)
    at org.jumpmind.symmetric.service.impl.ConfigurationService.getNodeGroupLinks(ConfigurationService.java:205)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.getRouters(TriggerRouterService.java:820)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.getRouters(TriggerRouterService.java:816)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.enhanceTriggerRouters(TriggerRouterService.java:887)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.getTriggerRouters(TriggerRouterService.java:846)
    at org.jumpmind.symmetric.AbstractSymmetricEngine.uninstall(AbstractSymmetricEngine.java:628)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 a78ac776

2016-09-09 10:28:25

admin

Details Diff
0002775: Uninstall fails on version 3.5 database with 3.8 software on
Postgres

0002775
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IGroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File

SymmetricDS: 3.8 adc2e46a

2016-09-12 12:58:40

admin

Details Diff
0002775: Uninstall fails on version 3.5 database with 3.8 software on
Postgres

0002775
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/GroupletServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2016-09-06 19:14 elong New Issue
2016-09-06 19:14 elong Status new => assigned
2016-09-06 19:14 elong Assigned To => elong
2016-09-09 10:28 elong Status assigned => resolved
2016-09-09 10:28 elong Fixed in Version => 3.8.4
2016-09-09 10:28 elong Resolution open => fixed
2016-09-09 12:00 admin Changeset attached => SymmetricDS 3.8 a78ac776
2016-09-12 14:00 admin Changeset attached => SymmetricDS 3.8 adc2e46a
2016-09-16 09:00 admin Status resolved => closed